Skip to content

Items


List all Items

GET
/items

Returns a list of Items. By default, all items are returned, sorted by code ascending.

Authorizations

Bearer

JWT Authorization header using the Bearer scheme.

TypeHTTP (bearer)

Parameters

Header Parameters

x-api-version
Typestring
Default"1.0"

Query Parameters

id

Filter by id (exact)

Typestring
term

Fuzzy search by: code, name, description

Typestring
code

Filter by code (exact)

Typestring
name

Filter by name (exact)

Typestring
description

Filter by description (exact)

Typestring
createdAt

Date range filter using left-hand-side (LHS) bracket syntax. Supported operators: eq, gt, lt, gte, lte. A plain string is equivalent to eq and represents a single date (UTC).

Typeobject
Examples
"createdAt=2025-09-10"
"createdAt[gte]=2025-09-10T00:00:00.000Z&createdAt[lt]=2025-09-11T00:00:00.000Z"
updatedAt

Date range filter using left-hand-side (LHS) bracket syntax. Supported operators: eq, gt, lt, gte, lte. A plain string is equivalent to eq and represents a single date (UTC).

Typeobject
Examples
"updatedAt=2025-09-10"
"updatedAt[gte]=2025-09-10T00:00:00.000Z&updatedAt[lt]=2025-09-11T00:00:00.000Z"
sort

Sorting property

Typestring
Valid values
"code""name""description"
Default"code"
type

Item Type

Typestring
Valid values
"ACCELERATOR""AGGREGATE_COARSE""AGGREGATE_FINE""AIR_ENTRAINING_AGENT""ASPHALT""AUTOMATIC_SUNDRY_CHARGE""BLOCK""BRICK""BUILDING_MATERIAL""CEMENT""CEMENTITIOUS_MATERIAL""COLOR""CONCRETE""EXTRA_CHARGE""HAUL_CHARGE""KIT_OR_MANUFACTURED_ITEM""OIL""OTHER_ADMIXTURE""OTHER_PRODUCT""PIPE""PLASTICIZER""REINFORCING_MATERIAL_ADMIX""REINFORCING_MATERIAL_EXTERNAL""RETARDER""STEEL""WATER"
dir

The direction of sorting

Typestring
Valid values
"asc""desc"
Default"asc"
page

The page number of the results to fetch

Typeinteger
Example1
Format"int64"
Default1
size

Maximum number of items returned in a single response (max 100)

Typeinteger
Examples
10
20
50
Format"int64"
Default10

Responses

OK

application/json
JSON
{
"items": [
{
"id": "string",
"code": "string",
"name": "string",
"description": "string",
"type": "string"
}
],
"pagination": {
"total": 100,
"pages": 10
}
}

Playground

Authorization
Headers
Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

List all Items Categories

GET
/items/categories

Returns a list of Items Categories. By default, all items are returned, sorted by code ascending.

Authorizations

Bearer

JWT Authorization header using the Bearer scheme.

TypeHTTP (bearer)

Parameters

Header Parameters

x-api-version
Typestring
Default"1.0"

Query Parameters

id

Filter by id (exact)

Typestring
term

Fuzzy search by: code, name, description

Typestring
code

Filter by code (exact)

Typestring
name

Filter by name (exact)

Typestring
description

Filter by description (exact)

Typestring
createdAt

Date range filter using left-hand-side (LHS) bracket syntax. Supported operators: eq, gt, lt, gte, lte. A plain string is equivalent to eq and represents a single date (UTC).

Typeobject
Examples
"createdAt=2025-09-10"
"createdAt[gte]=2025-09-10T00:00:00.000Z&createdAt[lt]=2025-09-11T00:00:00.000Z"
updatedAt

Date range filter using left-hand-side (LHS) bracket syntax. Supported operators: eq, gt, lt, gte, lte. A plain string is equivalent to eq and represents a single date (UTC).

Typeobject
Examples
"updatedAt=2025-09-10"
"updatedAt[gte]=2025-09-10T00:00:00.000Z&updatedAt[lt]=2025-09-11T00:00:00.000Z"
sort

Sorting property

Typestring
Valid values
"code""name""description"
Default"code"
type

Item Type

Typestring
Valid values
"ACCELERATOR""AGGREGATE_COARSE""AGGREGATE_FINE""AIR_ENTRAINING_AGENT""ASPHALT""AUTOMATIC_SUNDRY_CHARGE""BLOCK""BRICK""BUILDING_MATERIAL""CEMENT""CEMENTITIOUS_MATERIAL""COLOR""CONCRETE""EXTRA_CHARGE""HAUL_CHARGE""KIT_OR_MANUFACTURED_ITEM""OIL""OTHER_ADMIXTURE""OTHER_PRODUCT""PIPE""PLASTICIZER""REINFORCING_MATERIAL_ADMIX""REINFORCING_MATERIAL_EXTERNAL""RETARDER""STEEL""WATER"
dir

The direction of sorting

Typestring
Valid values
"asc""desc"
Default"asc"
page

The page number of the results to fetch

Typeinteger
Example1
Format"int64"
Default1
size

Maximum number of items returned in a single response (max 100)

Typeinteger
Examples
10
20
50
Format"int64"
Default10

Responses

OK

application/json
JSON
{
"items": [
{
"id": "string",
"code": "string",
"name": "string",
"description": "string",
"itemType": "CONCRETE",
"reportingUnit": "[yd_i]3",
"inventoryUnit": "[yd_i]3",
"batchUnit": "[yd_i]3",
"priceUnit": "[yd_i]3",
"deliveredUnit": "[yd_i]3",
"orderedUnit": "[yd_i]3",
"purchaseUnit": "[yd_i]3",
"deliveredExtensionCode": "MixDeliveredQuantity",
"orderedExtensionCode": "PerWeightOfCement",
"priceExtensionCode": "MixDeliveredQuantity"
}
],
"pagination": {
"total": 100,
"pages": 10
}
}

Playground

Authorization
Headers
Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python